Bug 168257 - net/boinc-client add xlocale support for RELENG_9
Summary: net/boinc-client add xlocale support for RELENG_9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-23 14:30 UTC by Andrey Simonenko
Modified: 2012-05-25 13:24 UTC (History)
0 users

See Also:


Attachments
file.diff (1.24 KB, patch)
2012-05-23 14:30 UTC, Andrey Simonenko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Simonenko 2012-05-23 14:30:01 UTC
This change adds support of xlocale for RELENG_9.
Comment 1 Edwin Groothuis freebsd_committer 2012-05-23 14:30:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Andrey Simonenko 2012-05-24 08:41:04 UTC
Simplified version of change:

diff -ruN boinc-client.orig/Makefile boinc-client/Makefile
--- boinc-client.orig/Makefile	2012-04-23 23:49:14.000000000 +0300
+++ boinc-client/Makefile	2012-05-23 15:52:42.000000000 +0300
@@ -7,7 +7,7 @@
 
 PORTNAME=	boinc-client
 PORTVERSION=	7.0.25
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	net
 MASTER_SITES=	${MASTER_SITE_LOCAL}
 MASTER_SITE_SUBDIR=	pav
@@ -88,7 +88,7 @@
 LIB_DEPENDS+=	notify.4:${PORTSDIR}/devel/libnotify \
 		sqlite3.8:${PORTSDIR}/databases/sqlite3
 CONFIGURE_ARGS+=--with-sqlite3-prefix=${LOCALBASE}
-. if ${OSVERSION} < 1000002
+. if ${OSVERSION} < 900506 || (${OSVERSION} >= 1000000 && ${OSVERSION} < 1000002)
 CPPFLAGS+=	-DNO_PER_THREAD_LOCALE
 . endif
 PLIST_SUB+=	BOINC_MANAGER=""
diff -ruN boinc-client.orig/files/patch-clientgui-AsyncRPC.cpp boinc-client/files/patch-clientgui-AsyncRPC.cpp
--- boinc-client.orig/files/patch-clientgui-AsyncRPC.cpp	2012-04-15 15:57:50.000000000 +0300
+++ boinc-client/files/patch-clientgui-AsyncRPC.cpp	2012-05-24 10:28:47.000000000 +0300
@@ -1,15 +1,11 @@
 --- clientgui/AsyncRPC.cpp.orig		2012-04-07 11:55:37.000000000 +0300
 +++ clientgui/AsyncRPC.cpp		2012-04-07 11:56:14.000000000 +0300
-@@ -20,7 +20,12 @@
+@@ -20,7 +20,9 @@
  #endif
  
  #if !(defined(_WIN32) || (defined(__WXMAC__) && (MAC_OS_X_VERSION_MIN_REQUIRED < MAC_OS_X_VERSION_10_4)))
--#include <xlocale.h>
-+#ifdef __FreeBSD__
-+# include <osreldate.h>
-+# if __FreeBSD_version >= 1000002
-+#  include <xlocale.h>
-+# endif
++#if !defined(NO_PER_THREAD_LOCALE)
+ #include <xlocale.h>
 +#endif
  //#include "gui_rpc_client.h"
  #endif
Comment 3 Pav Lucistnik freebsd_committer 2012-05-25 12:01:49 UTC
State Changed
From-To: open->closed

Committed, thanks!